%define module	Module-Compile
%define name	perl-%{module}
%define version 0.18
%define	release	%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Perl Module Compilation
License:	GPL or Artistic
Group:		Development/Perl
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/Module/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}
%if %{mdkversion} < 1010
Buildrequires:	perl-devel
%endif
Buildrequires:  perl(Digest::SHA1)
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This module provides a system for writing modules that compile other Perl
modules. Modules that use these compilation modules get compiled into some
altered form the first time they are run. The result is cached into .pmc files.

%prep
%setup -q -n %{module}-%{version}
# upstream packaging bug
rm -f lib/Module/._Compile.pm

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc DESIGN Changes
%{perl_vendorlib}/Module
%{_mandir}/*/*

%changelog
* Sat Sep 02 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-09-02 18:12:07 (59616)
- 0.18

* Sat Sep 02 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-09-02 17:36:07 (59614)
Import perl-Module-Compile

* Sun Jul 09 2006 Emmanuel Andry <eandry@mandriva.org> 0.17-1mdv2007.0
- New version 0.17

* Tue Jun 27 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.16-1mdv2007.0
- New version 0.16

* Wed May 03 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.15-4mdk
- Fix According to perl Policy
	- BuildRequires

* Tue Apr 04 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.15-3mdk
- Add Buildrequires

* Mon Apr 03 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.15-2mdk
- oops, really rpmbuildupdate aware

* Mon Apr 03 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.15-1mdk
- new version
- rpmbuildupdate aware
- fix directory ownership
- spec cleanup

* Wed Mar 15 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.13-1mdk
- 0.13

* Mon Mar 13 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.12-1mdk
- Initial MDV release

